
-- http://blogs.technet.com/b/magi/archive/2011/03/01/inside-hash-and-sort-warnings.aspx

use AdventureWorks  -- or AdventureWorks2008, NOT AdventureWorks2008R2
go

create proc SalesOrderSelect 
@ModifiedDateFrom datetime, 
@ModifiedDateTo datetime as

begin

      declare @SalesOrderID int, 
              @ProductID int, 
              @ModifiedDate datetime

      select so.SalesOrderID, so.ModifiedDate 
         from  Sales.SalesOrderDetail so 
         where so.ModifiedDate between @ModifiedDateFrom and @ModifiedDateTo 
         order by so.SalesOrderDetailID 
      option (maxdop 1)

      end

go

create index NC_ModifiedDate on Sales.SalesOrderDetail (ModifiedDate)
go

-- no sort warning
exec SalesOrderSelect '2001-07-01 00:00:00.000', '2002-02-01 00:00:00.000' 
go

-- sort warning
exec SalesOrderSelect '2001-07-01 00:00:00.000', '2003-02-01 00:00:00.000' 
go

