
select * from sys.fulltext_document_types

-- FTS Catalog Views

-- supported document types and languages
SELECT * FROM sys.fulltext_document_types 
SELECT * FROM sys.fulltext_languages 

-- catalogs, indexes, columns, index fragments
SELECT * FROM sys.fulltext_catalogs 
SELECT * FROM sys.fulltext_index_catalog_usages 
SELECT * FROM sys.fulltext_index_columns 
SELECT * FROM sys.fulltext_index_fragments 
SELECT * FROM sys.fulltext_indexes  
 
-- stopwords 
SELECT * FROM sys.fulltext_stoplists 
SELECT * FROM sys.fulltext_stopwords 
SELECT * FROM sys.fulltext_system_stopwords  

-- Fulltext DMVs

-- instance-wide
SELECT * FROM sys.dm_fts_active_catalogs
SELECT * FROM sys.dm_fts_fdhosts
SELECT * FROM sys.dm_fts_index_keywords(db_id('FTSWB'), object_id('StormyWeather'))
SELECT * FROM sys.dm_fts_index_keywords_by_document(db_id('FTSWB'), object_id('StormyWeather'))
SELECT * FROM sys.dm_fts_index_population
SELECT * FROM sys.dm_fts_memory_buffers
SELECT * FROM sys.dm_fts_memory_pools
SELECT * FROM sys.dm_fts_outstanding_batches

-- LCID, Stoplist ID, Accent sensitivity
SELECT * FROM sys.dm_fts_parser('Query String', 1033, 0, 0)
SELECT * FROM sys.dm_fts_population_ranges

-- New in Denali CTP1
--query for all search property lists
SELECT * FROM sys.registered_search_property_lists 
SELECT * FROM sys.registered_search_properties 

--query to associate properties with the property list name
select B.[name],A.property_name ,A.property_set_guid , A.property_int_id    
from sys.registered_search_properties A 
join sys.registered_search_property_lists B 
  on A.property_list_id = B.property_list_id
order by B.name

select * from sys.dm_fts_index_keywords_by_property(
 DB_ID('FTSWB'), 
 OBJECT_ID('StormyWeather'))

-- Index information (not FTS specific)
SELECT * 
FROM sys.indexes i
JOIN sys.objects o
  ON i.object_id = o.object_id
  
-- internal tables
SELECT * FROM tempdb.sys.internal_tables  
SELECT * FROM tempdb.sys.fulltext_thesaurus_state_table
SELECT * FROM tempdb.sys.fulltext_thesaurus_phrase_table
SELECT * FROM tempdb.sys.fulltext_thesaurus_metadata_table 

USE FTSWB  --see fts_workbench.sql
GO

SELECT * FROM sys.internal_tables 
SELECT * FROM sys.fulltext_index_docidstatus_2121058592
SELECT * FROM sys.fulltext_docidfilter_2121058592
SELECT * FROM sys.fulltext_indexeddocid_2121058592
SELECT * FROM sys.fulltext_avdl_2121058592
SELECT * FROM sys.ifts_comp_fragment_2121058592_2
 
-- server properties
SELECT FULLTEXTSERVICEPROPERTY('IsFullTextInstalled')
SELECT FULLTEXTSERVICEPROPERTY('LoadOSResources')
SELECT FULLTEXTSERVICEPROPERTY('VerifySignature')

-- verify signature: 0 = dont verify, 1 = do verify
EXEC sp_fulltext_service @action='verify_signature', @value=1;

EXEC sp_help_fulltext_system_components 'filter';  

EXEC sp_fulltext_service 'update_languages'; 

EXEC sp_fulltext_service 'restart_all_fdhosts';

-- configuration (sp_configure) options
/*
default full-text language 
max full-text crawl range
ft crawl bandwidth (min, max)
ft notify bandwidth (min, max)
*/

-- server properties
--   Default Full-Text Language 
--   Full-Text Upgrade Option 

-- Metadata 
select * from sys.fulltext_semantic_language_statistics_database 
select * from sys.fulltext_semantic_languages 

-- Changed in Denali
select * from sys.fulltext_index_columns

select * from sys.dm_db_fts_index_physical_stats
select * from sys.dm_fts_index_population
select * from sys.dm_fts_semantic_similarity_population 

--FTS procs

exec sp_fulltext_keymappings

exec sp_fulltext_load_thesaurus_file
--Cause recompilation of query that use the thesaurus

exec sp_fulltext_pendingchanges
--Pending changes for index using change tracking

exec sp_fulltext_service

exec sp_help_fulltext_system_components

exec sp_help_fulltext_tables