﻿
create database test
go

use test
go

create table dbo.greekdocs (
 id int identity not null,
 doctitle varchar(20),
 doctype varchar(20),
 doc varbinary(max), 
   constraint pk_id primary key (id)
)
go 

CREATE FULLTEXT CATALOG FTCatalog AS DEFAULT;
GO

CREATE FULLTEXT INDEX ON greekdocs(
Doc TYPE COLUMN doctype LANGUAGE Greek
)
KEY INDEX pk_id ON (FTCatalog)
go

ALTER FULLTEXT INDEX ON greekdocs
   START FULL POPULATION;
GO



declare @x varbinary(max)
SET @x = ( 
 SELECT * FROM OPENROWSET
  (BULK 'c:\temp\Yacht_Διακοπές με σκάφος.docx', SINGLE_BLOB) as X)

insert into dbo.greekdocs values('Yacht','.docx',@x)
go

declare @x varbinary(max)
SET @x = ( 
 SELECT * FROM OPENROWSET
  (BULK 'c:\temp\Financial_Οι δύο παγκόσμιες κρίσεις και η ελληνική οικονομία.docx', SINGLE_BLOB) as X)

insert into dbo.greekdocs values('Financial','.docx',@x)
go

-- until status = 0 (populated, idle)
select objectpropertyex(object_id('greekdocs'),'TableFulltextPopulateStatus')
go

SELECT *
FROM dbo.greekdocs AS DocTable INNER JOIN
CONTAINSTABLE(greekdocs, doc, 
              'NEAR(οικονομικών,κρίση)' ) AS KEY_TBL
ON DocTable.id = KEY_TBL.[KEY];
GO

SELECT *
FROM dbo.greekdocs AS DocTable INNER JOIN
CONTAINSTABLE(greekdocs, doc, 
              'NEAR((οικονομικών,κρίση),200)' ) AS KEY_TBL
ON DocTable.id = KEY_TBL.[KEY];
GO

SELECT *
FROM dbo.greekdocs AS DocTable INNER JOIN
CONTAINSTABLE(greekdocs, doc, 
              'NEAR((οικονομικών,κρίση),400)' ) AS KEY_TBL
ON DocTable.id = KEY_TBL.[KEY];
GO

SELECT *
FROM dbo.greekdocs AS DocTable INNER JOIN
CONTAINSTABLE(greekdocs, doc, 
              'NEAR((οικονομικών,κρίση),400, TRUE)' ) AS KEY_TBL
ON DocTable.id = KEY_TBL.[KEY];
GO

DROP DATABASE test

