﻿using System;
using System.Data.SqlClient;
using System.IO;
using System.Globalization;
using System.Transactions;
using Microsoft.Data.SqlRemoteBlobs;

namespace Program
{
    public class ReadRemoteBlobStorage
    {
        static int Main(string[] args)
        {
            string sSqlServer = ".";
            string sRBSDatabase = "ContentDB";

            string sConnection = string.Format(CultureInfo.InvariantCulture,
                "Data Source={0};Initial Catalog={1};Integrated Security=SSPI",
                sSqlServer, sRBSDatabase);

            using (TransactionScope ts = new TransactionScope(TransactionScopeOption.Required, TimeSpan.FromMinutes(10)))
            {
                using (SqlConnection conn = new SqlConnection(sConnection))
                {
                    conn.Open();

                    byte[] blobId;

                    //This group of statements simply the 
                    //ID of the BLOB written into the user table
                    //when the BLOB was created.
                    using (SqlCommand cmd = new SqlCommand(string.Format(CultureInfo.InvariantCulture,
                        "SELECT TOP(1) BlobId FROM BlobUserTable WHERE FileName = 'c:\\temp\\myPicture.jpg'")))
                    {
                        cmd.Connection = conn;
                        blobId = (byte[])cmd.ExecuteScalar();
                    }

                    //Read the BLOB directly from the store to the FileStream.
                    SqlRemoteBlobContext blobContext = new SqlRemoteBlobContext(conn);
                    using (FileStream readStream = new FileStream(@"c:\temp\MyPicture1.JPG", FileMode.CreateNew))
                    {
                        using (SqlRemoteBlob readBlob = blobContext.OpenBlob(blobId))
                        {
                            readBlob.ReadToStream(readStream);
                        }
                    }
                }
            }
            return 0;
        }
    }
}
