
/*
a.	UnionAggregate 
b.	EnvelopeAggregate 
c.	CollectionAggregate 
d.	ConvexHullAggregate 
*/

-- Collection - creates a geography collection
-- Setup table variable for CollectionAggregate example

DECLARE @Geom TABLE
(
shape geometry,
shapeType nvarchar(50)
)

INSERT INTO @Geom(shape,shapeType) VALUES('CURVEPOLYGON(CIRCULARSTRING(2 3, 4 1, 6 3, 4 5, 2 3))', 'Circle'),
('POLYGON((1 1, 4 1, 4 5, 1 5, 1 1))', 'Rectangle');

-- Perform CollectionAggregate on @Geom.shape column
SELECT geometry::CollectionAggregate(shape).ToString()
FROM @Geom;

-- Setup table variable for ConvexHullAggregate example

DECLARE @Geom TABLE
(
shape geometry,
shapeType nvarchar(50)
)

INSERT INTO @Geom(shape,shapeType) VALUES('CURVEPOLYGON(CIRCULARSTRING(2 3, 4 1, 6 3, 4 5, 2 3))', 'Circle'),
('POLYGON((1 1, 4 1, 4 5, 1 5, 1 1))', 'Rectangle');

-- Perform ConvexHullAggregate on @Geom.shape column
SELECT geometry::ConvexHullAggregate(shape).ToString()
FROM @Geom;


-- Setup table variable for EnvelopeAggregate example

DECLARE @Geom TABLE
(
shape geometry,
shapeType nvarchar(50)
)

INSERT INTO @Geom(shape,shapeType) VALUES('CURVEPOLYGON(CIRCULARSTRING(2 3, 4 1, 6 3, 4 5, 2 3))', 'Circle'),
('POLYGON((1 1, 4 1, 4 5, 1 5, 1 1))', 'Rectangle');

-- Perform EnvelopeAggregate on @Geom.shape column
SELECT geometry::EnvelopeAggregate(shape).ToString()
FROM @Geom;


-- Setup table variable for UnionAggregate example

DECLARE @Geom TABLE
(
shape geometry,
shapeType nvarchar(50)
);

INSERT INTO @Geom(shape,shapeType)
VALUES('CURVEPOLYGON(CIRCULARSTRING(2 3, 4 1, 6 3, 4 5, 2 3))', 'Circle'),
('POLYGON((1 1, 4 1, 4 5, 1 5, 1 1))', 'Rectangle');

-- Perform UnionAggregate on @Geom.shape column
SELECT geometry::UnionAggregate(shape).ToString()
FROM @Geom;

