use census
go

-- table, column, cellsize, %sample
exec sp_help_spatial_geography_histogram congress, shapegeog, 1000, 10 

use sample_usa
go

create view counties_or 
as
select * from counties
where name_1 = 'oregon'
go

-- less than 100 percent = The TABLESAMPLE clause can only be used with local tables.
-- smaller cell size = more cells
exec sp_help_spatial_geography_histogram counties_or, geog, 100, 100

exec sp_helptext sp_help_spatial_geography_histogram

-- SQLCLR UDF
exec sp_helptext sys.GeodeticGridCoverage

SELECT a.id AS CellId, geography::STGeomFromWKB(a.WKB, 4326) AS Cell, COUNT(*) AS IntersectionCount FROM [Sample_USA].[dbo].[counties_or]  CROSS APPLY sys.GeodeticGridCoverage(geog,100,100) a GROUP BY a.id, a.WKB